> This page is for version v2026.01.16-dev.
> For other versions, use one of these documentation indexes:
> - latest (default): https://docs.machanirobotics.dev/latest/llms.txt
> - v2026.01.16-dev: https://docs.machanirobotics.dev/v-2026-01-16-dev/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.machanirobotics.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.machanirobotics.dev/_mcp/server.

# Get Active Connection

GET https://api.machanirobotics.com/v1/management/networks/{network}/activeConnection

Retrieves the current ActiveConnection for a Network, if any.

Reference: https://docs.machanirobotics.dev/v-2026-01-16-dev/2026-01-16-dev/latest/network-service/getactiveconnection

## Request

### Path parameters

- `network` (string, required) — The network id.

## Response

### 200

OK

- `name` (string, optional) — Identifier for the active network connection resource. Format: //system.v1.engine.core.machanirobotics.com/networks/\{network}/activeConnection
- `ipv4Details` (ActiveIPV4Details, optional) — Runtime IPv4 configuration details for this active connection. This field is populated by the system and cannot be modified by clients.
- `ipv6Details` (ActiveIPV6Details, optional) — Runtime IPv6 configuration details for this active connection. This field is populated by the system and cannot be modified by clients.
- `wifi` (ActiveWifiDetails, optional) — WiFi-specific connection details for an active WiFi connection. Present when the connection is established on a WiFi device.
- `ethernet` (ActiveEthernetDetails, optional) — Ethernet-specific connection details for an active Ethernet connection. Present when the connection is established on an Ethernet device.

## Errors

### 400 Bad Request Error

Bad Request

- `code` (integer, optional) — The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
- `message` (string, optional) — A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
- `details` (list of GoogleProtobufAny, optional) — A list of messages that carry the error details. There is a common set of message types for APIs to use.

## Types

### ActiveIPV4Details

Runtime IPv4 configuration details for an active network connection.

- `addresses` (list of string, optional) — List of IPv4 addresses assigned to this connection. Format: "192.168.1.5" This field is populated by the system and cannot be modified by clients.
- `gateway` (string, optional) — IPv4 gateway (router) address for this connection. Format: "192.168.1.1" This field is populated by the system and cannot be modified by clients.
- `dns` (list of string, optional) — List of IPv4 DNS server addresses being used by this connection. Format: "8.8.8.8", "1.1.1.1" This field is populated by the system and cannot be modified by clients.

### ActiveIPV6Details

Runtime IPv6 configuration details for an active network connection.

- `addresses` (list of string, optional) — List of IPv6 addresses assigned to this connection. Format: "2001:db8::1" This field is populated by the system and cannot be modified by clients.
- `gateway` (string, optional) — IPv6 gateway (router) address for this connection. Format: "2001:db8::1" This field is populated by the system and cannot be modified by clients.
- `dns` (list of string, optional) — List of IPv6 DNS server addresses being used by this connection. Format: "2001:4860:4860::8888", "2606:4700:4700::1111" This field is populated by the system and cannot be modified by clients.

### ActiveWifiDetails

Runtime details specific to an active WiFi connection.

- `signalStrength` (integer, optional) — Current signal strength of the WiFi connection in percentage. This field is populated by the system and cannot be modified by clients.
- `linkSpeed` (integer, optional) — Current link speed of the WiFi connection in Mbps (megabits per second). This field is populated by the system and cannot be modified by clients.

### ActiveEthernetDetails

Runtime details specific to an active Ethernet connection.

- `linkSpeed` (integer, optional) — Current link speed of the Ethernet connection in Mbps (megabits per second). Common values: 10, 100, 1000 (gigabit), 2500, 5000, 10000 (10 gigabit). This field is populated by the system and cannot be modified by clients.

### GoogleProtobufAny

Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.

- `@type` (string, optional) — The type of the serialized message.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "name": "//system.v1.engine.core.machanirobotics.com/networks/net-12345/activeConnection",
  "ipv4Details": {
    "addresses": [
      "192.168.10.15"
    ],
    "gateway": "192.168.10.1",
    "dns": [
      "8.8.8.8",
      "1.1.1.1"
    ]
  },
  "ipv6Details": {
    "addresses": [
      "2001:0db8:85a3::8a2e:0370:7334"
    ],
    "gateway": "2001:0db8:85a3::1",
    "dns": [
      "2001:4860:4860::8888",
      "2606:4700:4700::1111"
    ]
  },
  "wifi": {
    "signalStrength": 78,
    "linkSpeed": 150
  },
  "ethernet": {
    "linkSpeed": 1000
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.machanirobotics.com/v1/management/networks/network/activeConnection"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.machanirobotics.com/v1/management/networks/network/activeConnection';
const options = {method: 'GET', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.machanirobotics.com/v1/management/networks/network/activeConnection"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.machanirobotics.com/v1/management/networks/network/activeConnection")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.machanirobotics.com/v1/management/networks/network/activeConnection")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.machanirobotics.com/v1/management/networks/network/activeConnection', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.machanirobotics.com/v1/management/networks/network/activeConnection");
var request = new RestRequest(Method.GET);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.machanirobotics.com/v1/management/networks/network/activeConnection")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```